.wpb-navigation { --nav-bg-clr: var(--gradient-mega-menu); --p-top: 2.4rem; --menu-clr: var(--clr-text); --menu-hover-clr: var(--clr-primary); position: absolute; top: 0; right: 0; left: 0; margin: var(--block-spacing); z-index: 1040; padding-top: var(--p-top);
  .container { display: flex; align-items: center; justify-content: space-between; }

  .logo { display: inline-flex; 
    img { height: 5.4rem; width: auto; }
    & .logo__light{ display: none; }
  }
  &:has(+ .wpb-bg-clr--dark, + .wpb-bg-clr--primary, + [class*="wpb-bg-clr--gradient"], + .has-background-image){ --menu-clr: #FFFF; --menu-hover-clr: rgba(255, 255, 255, 0.6);
    .logo .logo__default{ display: none; }
    .logo .logo__light{ display: block; }
  }

  & + *:is(section){ --spacing-top: 7.8rem; padding-top: calc(var(--spacing-top) + var(--pt, 0px)); }
}


.btn--nav-toggle { --clr: var(--menu-clr) !important; --border: 1px solid var(--menu-hover-clr) !important;
  svg { fill: var(--clr); 
    rect { transition: y var(--ts-25) ease var(--ts-25), transform var(--ts-25) ease, opacity 0ms var(--ts-25); transform-origin: center; }
  }
  &:hover svg rect { fill: var(--hover-clr); }
  &:focus svg rect { fill: var(--focus-clr); }
  &:active svg rect { fill: var(--active-clr); }
  
  &[aria-expanded="true"] {
    svg rect { fill: var(--active-clr); transition: y var(--ts-25) ease, transform var(--ts-25) ease var(--ts-25), opacity 0ms var(--ts-25); }
    svg .top { y: 45; transform: rotate(45deg); }
    svg .middle { opacity: 0; }
    svg .bottom { y: 45; transform: rotate(-45deg); }
  }
}


@supports (-webkit-touch-callout: none) {
  .btn--nav-toggle {
    svg rect { transition: transform var(--ts-25) ease, opacity var(--ts-25) ease; transform-origin: center; }
    &[aria-expanded="true"] {
      svg rect { transition: translateY(2px) translateX(2px) rotate(45deg); }
      svg .top { transform: translateY(17px) translateX(-10px) rotate(45deg); }
      svg .bottom { transform: translateY(-11px) translateX(-8px) rotate(-45deg); }
    }
  }
}

.wpb-navigation__collapse {
    ul { list-style: none; }
    .menu-item {
      .menu-link { color: var(--menu-clr); width: 100%; text-decoration: none; display: inline-flex; align-items: center; column-gap: 2rem; line-height: 1; transition: color var(--ts-duration) var(--ts-function); 
        &:hover { color: var(--menu-hover-clr); }
      }

      &.menu-item--card{
        .menu-link{ --p: 1.8rem; padding: var(--p); position: relative; align-items: end; border-radius: 1rem; background-color: var(--clr-dark); overflow: hidden; }
        .menu-link i{ color: var(--clr-primary); }
        .menu-link:has(img){ background-color: transparent; min-height: 24rem; height: 100%; }
        .menu-link .menu-link__thumbnail{ position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: -1; transition: transform var(--ts-duration) var(--ts-function); }
        .menu-link .menu-link__thumbnail img{ width: 100%; height: 100%; object-fit: cover; z-index: -2; }
        .menu-link .menu-link__thumbnail::before{ content: ''; position: absolute; top: 0; right: 0; bottom: 0; left: 0; background: linear-gradient(to top, var(--clr-dark) 5rem, transparent 13rem); }
        .menu-link:hover .menu-link__thumbnail{ transform: scale(1.1); }
      }
    }
    .wpb-collapse__footer {
      .btn{ --clr: var(--menu-clr); --hover-clr: var(--menu-hover-clr); } 
      .btn--link{ --p: 0; }
    }

    .wpb-sub-menu{
      .wpb-sub-menu__body{ display: grid; gap: 2.4rem; }
      .wpb-sub-menu__body .menu-link{ justify-content: space-between; }
      .wpb-sub-menu__body .menu-link i{ transform: rotate(-45deg); transition: color var(--ts-duration) var(--ts-function), transform var(--ts-duration) var(--ts-function); }
      .wpb-sub-menu__body .menu-link--card:hover i{ transform: rotate(0deg); }
    }
}

/*** Navigation mobile ***/
@media (max-width: 991.98px) {
    .wpb-navigation__collapse { --menu-clr: #FFFF; max-width: min(58rem, calc(100% - (var(--block-spacing) * 2))); transform: translate3d(100%, 0, 0); width: 100%; margin: var(--block-spacing); border-radius: var(--block-radius); display: none; flex-direction: column; position: fixed; top: 0; right: 0; bottom: 0; left: auto; background: var(--nav-bg-clr); z-index: 1030; overflow: hidden; transition: transform var(--ts-35) ease; 
      &.active { pointer-events: all; transform: translate3d(0%, 0, 0); }
      &.wpb-navigation__collapse--left { transform: translate3d(-100%, 0, 0); left: 0; right: auto;
        &.active { transform: translate3d(0%, 0, 0); }
      }
    
      .wpb-collapse__header { font-size: 1.6rem; font-weight: bold; padding: 2rem; display: flex; justify-content: space-between; align-items: center; }
      .wpb-collapse__header > span{ font-size: 2.4rem; color: #FFFF; }
      .wpb-collapse__body { padding: 2rem; flex-grow: 1; overflow-y: auto; overscroll-behavior: contain; }
      .wpb-collapse__footer { padding: 2rem; display: flex; align-items: center; justify-content: space-between; }
      
      .menu-item { 
        .menu-link { font-size: 1.8rem; padding: 1.5rem 0; position: relative; 
          .btn{ min-height: 4rem; }
          &:hover { color: #FFF8; }
        }
        &.menu-item-has-children > .menu-link > .btn { position: absolute; right: 0; top: 50%; transform: translateY(-50%); }
      }
      .btn--outline{ --clr: #FFFF; --border: 1px solid #FFF6; }
    }
    
    .wpb-sub-menu { height: 100%; overflow: hidden; list-style: none; position: fixed; top: 0; right: 0; bottom: 0; left: 0; background: var(--nav-bg-clr); z-index: 1; overflow-y: auto; transform: translate3d(100%, 0, 0); transition: transform var(--ts-35) ease; 
      &.active { transform: translate3d(0, 0, 0); }

      
      .container{ display: flex; flex-direction: column; align-items: start; padding: 0; }
      .wpb-sub-menu__title{ font-size: 2rem; color: #FFFF; }
      .wpb-sub-menu__header { width: 100%; font-size: 1.6rem; font-weight: bold; padding: 2rem; display: flex; align-items: center; justify-content: space-between; }
      .wpb-sub-menu__body { width: 100%; padding: 2rem; }
    }
}

/*** Navigation desktop ***/
@media (min-width: 992px) {
  .wpb-navigation { --p-top: 3.2rem;
    .btn.btn--nav-toggle, .wpb-collapse__header, .wpb-sub-menu__header { display: none; }
    .logo{ --offset: clamp(2rem, 2vw, 4rem); position: relative; padding-right: var(--offset); display: flex; align-items: center; }
    .container{ position: static; }

    &:has(.menu-item-has-children:hover){ --menu-clr: #FFFF; --menu-hover-clr: rgba(255, 255, 255, 0.6);
      .logo .logo__default{ display: none; }
      .logo .logo__light{ display: block; }
    }
  }

  .wpb-navigation__collapse { width: 100%; display: flex!important; justify-content: space-between; align-items: center;
    .menu-item {
      .menu-link { font-size: 1.6rem; padding: 1rem 1.6rem; }
      &.menu-item-has-children {
        > .menu-link { display: flex; justify-content: space-between;
          > .btn { --bg-clr: transparent; --border: none; --clr: var(--clr-text); width: auto; height: auto; min-height: 0; }
        }
        &:hover > .wpb-sub-menu { pointer-events: all; opacity: 1; }
      }
    }
    .wpb-collapse__footer{ display: flex; align-items: center; flex-wrap: wrap; gap: clamp(1.2rem, 2vw, 3.2rem); }
    .wpb-menu { display: flex; align-items: center;
      > .menu-item > .menu-link { padding: 2rem 1.2rem; 
        > .btn { display: none; }
      } 

      .wpb-sub-menu { position: absolute; top: 0; right: 0; bottom: auto; left: 0; transform: translateX(0); padding-top: 16rem; padding-bottom: 6.4rem; width: 100%; min-width: 20rem; height: auto!important; opacity: 0; overflow: visible; pointer-events: none; z-index: -1; transition: opacity var(--ts-25) ease; 
        &::before{ content: ''; position: absolute; top: 0; right: 0; left: 0; bottom: 0; background: var(--nav-bg-clr); z-index: -1; border-radius: var(--block-radius); box-shadow: 0 .5rem .5rem rgba(21, 47, 51, .1); }

        .container{ display: block; }
        .wpb-sub-menu { top: 0; left: 100%; transform: none; } 
        .wpb-sub-menu__header { display: none; }
        .wpb-sub-menu__body{ grid-template-columns: repeat(3, minmax(0, 1fr)); align-items: center; }
        .wpb-sub-menu__body ul{
          .menu-link{ font-size: 1.8rem; padding: 1.4rem 1.6rem; padding-left: 0; }
          .menu-link.menu-link--card{ font-size: clamp(1.8rem, 1.6vw, 2.4rem); padding: 2.4rem; height: 100%; min-height: 32rem; }

          &.wpb-sub-menu__body__links{ max-width: 35rem; }
          /* &.wpb-sub-menu__body__links > .menu-item:first-child .menu-link{ font-size: clamp(1.8rem, 1.6vw, 2.4rem); } */
        }
      }
    }
  }

  .wpb-pagewrapper:has(.wpb-navigation .menu-item-has-children){ 
    &::after{ content: ''; position: fixed; top: 0; right: 0; bottom: 0; left: 0; z-index: 2; background-color: rgba(51, 51, 51, 1); opacity: 0; pointer-events: none; transition: opacity var(--ts-duration) var(--ts-function); }
    &:has(.wpb-navigation .menu-item-has-children:hover){ overflow: hidden;
      &::after{ opacity: .4; }
    }
  }
}
@media (min-width: 1200px) {
  .wpb-navigation { --p-top: 4.8rem; }
  .wpb-navigation .logo::after{ content: ''; display: block; margin-left: var(--offset); border-left: 1px solid var(--menu-clr); height: 4rem; opacity: .5; }
}
@media (min-width: 992px) and (max-width: 1199.98px) {
  .wpb-navigation .btn--support .btn__text{ display: none; }
}
